# wxWindowCreateEvent Class Reference
[Events]

`#include </home/work/projects/wx/2.9/wx/interface/wx/event.h>`

Inheritance diagram for wxWindowCreateEvent:
[legend]

## Detailed Description

This event is sent just after the actual window associated with a wxWindow object has been created.

Since it is derived from wxCommandEvent, the event propagates up the window hierarchy.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxWindowCreateEvent& event)

Event macros:

- EVT_WINDOW_CREATE(func):
  Process a `wxEVT_CREATE` event.

##

Library: wxCore
Category: Events

See also:
  Events and Event Handling, wxWindowDestroyEvent

## Public Member Functions

| wxWindowCreateEvent (wxWindow *win=NULL)
| Constructor.
wxWindow * | GetWindow () const
| Return the window being created.

List of all members.

## Constructor & Destructor Documentation

wxWindowCreateEvent::wxWindowCreateEvent | ( | wxWindow * | win = `NULL` | ) |

Constructor.

## Member Function Documentation

wxWindow* wxWindowCreateEvent::GetWindow | ( |  | ) | const

Return the window being created.

|  | [ top ]